{% extends 'base.html' %}

{% block title %}Update Event{% endblock %}

{% block content %}
  <h1 class="text-center my-3">Update Event</h1>
  <form method="POST">
    {% csrf_token %}
    <div class="container">
      <div class="form-group">
        <label for="event_name">Event Name:</label>
        <input type="text" class="form-control" id="event_name" name="event_name" value="{{ event.event_name }}">
      </div>
      <div class="form-group">
        <label for="description">Description:</label>
        <textarea class="form-control" id="description" name="description">{{ event.description }}</textarea>
      </div>
      <div class="form-group">
        <label for="status">Status:</label>
        <select class="form-control" id="status" name="status">
          <option value="Pending" {% if event.status == "Not started" %}selected{% endif %}>Pending</option>
          <option value="Ongoing" {% if event.status == "In progress" %}selected{% endif %}>Ongoing</option>
          <option value="Completed" {% if event.status == "Completed" %}selected{% endif %}>Completed</option>
        </select>
      </div>
      <div class="form-group">
        <label for="event_date">Event Date:</label>
        <input type="datetime-local" class="form-control" id="event_date" name="event_date" value="{{ event.event_date|date:'Y-m-d\TH:i' }}">
      </div>

      <div class="text-center">

        <button type="submit" class="btn btn-primary mt-3 text-center justify-center">Update</button>
        <a class="btn btn-warning mt-3 text-center justify-center" href="{% url 'todolist:event_view' %}">Back</a>
      </div>
  </form>
  </div>
{% endblock %}